#!/bin/sh
#应用场景及说明:查询、开启/关闭合成器

DBUS_PATH=$1

state=$(dbus-send --print-reply --dest=org.ukui.KWin /Compositor org.freedesktop.DBus.Properties.Get string:"org.ukui.kwin.Compositing" string:"active" | sed -n 2p | sed 's/.*boolean \([^ ]*\).*/\1/')
if [ "$state" = "true" ]; then
    str="The window composite special effect has been enabled. Are you sure you want to disable it?"
    tr_str=$(Translate "${str}")
    output=$(ShowConfirmBox "${DBUS_PATH}" "${tr_str}" "question")
    if [ "$output" = "no" ]; then
        exit 255
    fi
    dbus-send --print-reply --dest=org.ukui.KWin /Compositor org.ukui.kwin.Compositing.suspend

    str="The window composite special effect has been disabled"
    tr_str=$(Translate "${str}")
    ShowMessageBox "${DBUS_PATH}" "${tr_str}" "info"
else
    str="The window composite special effect has been disabled. Are you sure you want to enable it?"
    tr_str=$(Translate "${str}")
    output=$(ShowConfirmBox "${DBUS_PATH}" "${tr_str}" "question")
    if [ "$output" = "no" ]; then
        exit 255
    fi
    dbus-send --print-reply --dest=org.ukui.KWin /Compositor org.ukui.kwin.Compositing.resume
    str="The window composite special effect has been enabled"
    tr_str=$(Translate "${str}")
    ShowMessageBox "${DBUS_PATH}" "${tr_str}" "info"
fi
