#!/bin/bash

DBUS_PATH=$1

function main() {
    local str
    local tr_str
    local bios_ver
    bios_ver=$(SudoWrapper -a "dmidecode -t 0" | grep "Version" | awk -F ': ' '{print $2}')
    str="BIOS version"
    tr_str=$(Translate "${str}")
    echo "${tr_str}: ${bios_ver}"
    local sys_ver
    sys_ver=$(cat /etc/hw_version)
    str="System version"
    tr_str=$(Translate "${str}")
    echo "${tr_str}: ${sys_ver}"
    local hw_str
    str="Model name"
    tr_str=$(Translate "${str}")
    hw_str=$(lscpu | grep "${tr_str}" | awk '{print $NF}')
    if [ "$hw_str" = "9000C" ]; then
        hw_ver=$(SudoWrapper -a "dmidecode -t 11" | grep "String 6" | awk -F ': ' '{print $2}')
    else
        hw_ver=$(hwfirmware -v | grep "Version" | awk -F ': ' '{print $2}')
    fi
    str="Hardware version"
    tr_str=$(Translate "${str}")
    echo "${tr_str}: ${sys_ver}"
}

main
